# $Revision: 1.38 $, $Date: 2008/07/27 22:46:24 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RADIUS
%define		pnam	UserFile
Summary:	RADIUS::UserFile perl module
Summary(pl.UTF-8):	Moduł perla RADIUS::UserFile
Name:		perl-RADIUS-UserFile
Version:	1.01
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e3fd8852d4440aa950098a28f6b788fc
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Tie-IxHash
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RADIUS::UserFile - module for manipulating a RADIUS users file.

%description -l pl.UTF-8
RADIUS::UserFile - moduł do operowania na bazie danych użytkowników
RADIUS-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p0

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README BUGS
%{perl_vendorlib}/RADIUS/UserFile.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-RADIUS-UserFile.spec,v $
Revision 1.38  2008/07/27 22:46:24  arekm
- release 4

Revision 1.37  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.36  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.35  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.34  2004/11/03 22:30:41  paladine
- formatting

Revision 1.33  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.32  2004/05/06 18:20:57  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/29 21:30:08  ankry
- tests added, license fixed

Revision 1.30  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:09:09  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:37:51  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/07/12 09:49:56  qboosh
- new %%doc and cosmetics

Revision 1.21  2002/07/11 08:03:09  depesz
- new version; should work; STBR

Revision 1.20  2002/07/10 08:48:35  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:11  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:34:05  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:31  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:42  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:32:57  depesz
adapterized

Revision 1.14  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:14:48  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/19 14:33:53  mis
- updated (by autoup) to 0.99

Revision 1.9  2001/01/23 15:39:58  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  1999/11/10 11:21:45  pius
- fixed location of examples

Revision 1.2  1999/11/07 09:18:46  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
